
sampler tex: register(s0);

struct VS_OUTPUT 
{
    float4 hPosition        : POSITION;
    float4 texCoordDiffuse  : TEXCOORD0;
    float4 diffAmbColor     : COLOR0;
    float4 specCol          : COLOR1;
};

//-----------------------------------
float4 main(  VS_OUTPUT IN ): COLOR
{
  float4 diffuseTexture = tex2D( tex, IN.texCoordDiffuse );
    
    //return diffuseTexture.w * IN.specCol;
	return IN.diffAmbColor * diffuseTexture + (diffuseTexture.w * IN.specCol);
}



